Package org.apache.felix.hc.core.impl.servlet

## Class ResultJsonSerializer

- java.lang.Object
- - org.apache.felix.hc.core.impl.servlet.ResultJsonSerializer

    public class ResultJsonSerializer
    extends Object

Serializes health check results into json format.

### Constructor Summary

Constructors
`ResultJsonSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `serialize​(org.apache.felix.hc.api.Result overallResult, List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults, String jsonpCallback, boolean includeDebug)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultJsonSerializer

    public ResultJsonSerializer()

### Method Detail

#### serialize

    public String serialize​(org.apache.felix.hc.api.Result overallResult,
                            List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults,
                            String jsonpCallback,
                            boolean includeDebug)